unit nguEmprestimo;


interface

uses
  acuframework;

type
  ngEmprestimo = class(acPersistentObject)
  private
    FRetirada: acDateTime;
    FPrevistaDev: acDateTime;
    FDataDev: acDateTime;
    fCliente: acRelationPartnerShip;
    fExemplar: acRelationPartnerShip;
  published
    property Retirada: acDateTime read FRetirada write FRetirada;
    property PrevistaDev: acDateTime read FPrevistaDev write FPrevistaDev;
    property DataDev: acDateTime read FDataDev write FDataDev;
    property Cliente: acRelationPartnerShip read fCliente write fCliente;
    property Exemplar: acRelationPartnerShip read fExemplar write fExemplar;
  end;

implementation


initialization

PersistenceManager.RegisterClass(ngEmprestimo);

end.

