unit ucuEmprestarLivro;


interface

uses
  utuStateMachine, utuRequest, ucuUseCase;

type
  ucEmprestarLivro = class(ucUseCase)
  public
    procedure Initialize; Override;
    procedure Finalize; Override;
  published
    procedure Effect_PesquisarUsuario(piRequest: utRequest; piTransition: utTransition);
    procedure Effect_EscolherUsuario(piRequest: utRequest; piTransition: utTransition);
    procedure Effect_PesquisarExemplar(piRequest: utRequest; piTransition: utTransition);
    procedure Effect_CancelarEscolhaExemplar(piRequest: utRequest; piTransition: utTransition);
    procedure Effect_ConcluirEdicaoEmprestimo(piRequest: utRequest; piTransition: utTransition);
    procedure Effect_RemoverExemplar(piRequest: utRequest; piTransition: utTransition);
    procedure Effect_ConfirmarEmprestimo(piRequest: utRequest; piTransition: utTransition);
    procedure Effect_CancelarEmprestimo(piRequest: utRequest; piTransition: utTransition);
  end;

implementation

uses
  ucuManager;

procedure ucEmprestarLivro.Initialize;
begin
  inherited;
end;

procedure ucEmprestarLivro.Finalize;
begin
  
  inherited;
end;

procedure ucEmprestarLivro.Effect_PesquisarUsuario(piRequest: utRequest; piTransition: utTransition);
begin
  
  
  piRequest.Processed := True;
end;

procedure ucEmprestarLivro.Effect_EscolherUsuario(piRequest: utRequest; piTransition: utTransition);
begin
  
  
  piRequest.Processed := True;
end;

procedure ucEmprestarLivro.Effect_PesquisarExemplar(piRequest: utRequest; piTransition: utTransition);
begin
  
  
  piRequest.Processed := True;
end;

procedure ucEmprestarLivro.Effect_CancelarEscolhaExemplar(piRequest: utRequest; piTransition: utTransition);
begin
  
  
  piRequest.Processed := True;
end;

procedure ucEmprestarLivro.Effect_ConcluirEdicaoEmprestimo(piRequest: utRequest; piTransition: utTransition);
begin
  
  
  piRequest.Processed := True;
end;

procedure ucEmprestarLivro.Effect_RemoverExemplar(piRequest: utRequest; piTransition: utTransition);
begin
  
  
  piRequest.Processed := True;
end;

procedure ucEmprestarLivro.Effect_ConfirmarEmprestimo(piRequest: utRequest; piTransition: utTransition);
begin
  
  
  piRequest.Processed := True;
end;

procedure ucEmprestarLivro.Effect_CancelarEmprestimo(piRequest: utRequest; piTransition: utTransition);
begin
  
  
  piRequest.Processed := True;
end;


initialization

  gucManager.RegisterClass(3219,ucEmprestarLivro);

end.
